"use strict";

const {
  convertCode
} = require('../utilities');

test('Object.getOwnPropertyDescriptors() method', () => {
  const inputCode = `const obj = {
  foo: 'bar',
  get baz() {
    return this.foo;
  }
};

const descriptors = Object.getOwnPropertyDescriptors(obj);`;
  const outputCode = `const obj = {
  foo: 'bar',
  get baz() {
    return this.foo;
  }
};
const descriptors = Object.getOwnPropertyDescriptors(obj);`;
  expect(convertCode(inputCode)).toBe(outputCode);
});